figure {
  position: relative;

  &:has(figcaption) {
    margin-block-end: 2rem;
  }

  img {
    display: block;
  }
}

.filename-caption {
  position: absolute;
  left: 0;
  top: 0;
  text-shadow: 1px 1px 0 #fff;
}

.grid figure {
	margin-inline: 0;
}

@media (min-width: 800px) {
  .grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-auto-rows: auto;
    gap: 1rem;
    margin-block: 1rem;
    max-inline-size: 1200px;

    figure {
      margin: 0;
      align-items: center;
    }

    &.cover figure img {
      object-fit: cover;
      aspect-ratio: unset;
      width: 100%;
      height: 100%;
    }
  }
}